Datasets
Generate Dataset Credentials
Generate temporary S3 credentials to directly access and download dataset files from cloud storage. Credentials are valid for 7 days by default and provide read-only access to your team's available datasets.
POST
Bearerheader
AuthorizationBearer <token>Successful Response
application/json- access_key_idstringrequired
The access key id for the temporary credential
- expirationstringdate-timerequired
The expiration date of the temporary credential
- secret_access_keystringrequired
The secret access key for the temporary credential
- session_tokenstringrequired
The session token for the temporary credential
- storageobjectrequired
Storage configuration including bucket name and endpoint URL
curl -X POST 'https://api.theirstack.com/v1/datasets/credentials'{ "access_key_id": "a3f8b2c9d1e4f5a6b7c8d9e0f1a2b3c4", "expiration": "2025-01-15T14:30:00Z", "secret_access_key": "7e9a2b4c6d8e0f1a3b5c7d9e1f3a5b7c9d1e3f5a", "session_token": "ZXlKaGJHY2lPaUpTVXpJMU5pSXNJblI1Y0NJNklrcFhWQ0o5LmV5SmlkV05yWlhRa", "storage": { "bucket_name": "datasets", "endpoint_url": "https://example-datasets-url.com", "prefixes": [ "jobs/daily" ] }}How is this guide?
Last updated on
